Bug 168650 - Update textproc/saxon-devel to 9.1.0.8
Summary: Update textproc/saxon-devel to 9.1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-04 02:50 UTC by Pedro F. Giffuni
Modified: 2012-06-12 07:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.47 KB, patch)
2012-06-04 02:50 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2012-06-04 02:50:11 UTC
Update saxon-devel. This is actually Saxon-B in it's final version and it's previous to Saxon-HE so I would recommend renaming the port.

We use this package for Apache OpenOffice and we cannot use Saxon-HE since the newer releases have some important functionality disabled.
I also noticed this doesn't seem to conflict with the older Saxon6: the conflict was with a previous version of -devel (v8.x) that we don't redistribute anymore.

Saxon 9.1.0.8 fixes the following bugs:

2885500  	 Chronic performance during query/stylesheet type checking
2877114  	 In XSLT, type="xxx" overwrites the element name
2864240  	 ModuleURIResolver handling main module
2859861  	 NPE calling overloaded extension function in saxon:evaluate
2859247  	 Internal Error when variable used with Unary Minus operator
2859187  	 XHTML meta element added in wrong namespace
2859151  	 (N to M) in XPath 1.0 compatibility mode
2859139  	 ReceivingContentHandler reused incorrectly
2859123  	 xsl:copy when context item is undefined
2837199  	 Variable reference in xsl:number count or from pattern
2836862  	 The rules= parameter of collation URI doesn't work
2834099      writeSequence() does not allow a null properties object
2829831  	 JAXP XPathFactory doesn't recognize Saxon OM API
2822068      Missing namespaces after identity transform from DOM
2819671      Value of position() not maintained when navigating DOMSource
2815678      XQuery parser crash with FOR expr in attribute content

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-06-04 03:37:41 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2012-06-04 03:38:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Herve Quiroz freebsd_committer 2012-06-11 08:29:27 UTC
Why did you decide not to download and install documentation and
samples anymore?
Comment 4 Pedro F. Giffuni 2012-06-11 19:33:14 UTC
=0A=0A--- Lun 11/6/12, Herve Quiroz <hq@FreeBSD.org> ha scritto:=0A...=0A> =
Why did you decide not to download=0A> and install documentation and=0A> sa=
mples anymore?=0A> =0A=0AOops ... I thought those were unused since they ar=
e not=0Ainstalled by default, plus they are not available in=0Athe new rele=
ase.=0A=0AI will fix it.=0A=0AThanks,=0A=0APedro.=0A
Comment 5 dfilter service freebsd_committer 2012-06-12 07:05:20 UTC
hq          2012-06-12 06:05:01 UTC

  FreeBSD ports repository

  Modified files:
    textproc/saxon-devel Makefile distinfo 
  Log:
  Update to 9.1.0.8
  
  PR:             168650
  Submitted by:   Pedro Giffuni <giffunip@tutopia.com>
  
  Revision  Changes    Path
  1.23      +5 -4      ports/textproc/saxon-devel/Makefile
  1.17      +2 -2      ports/textproc/saxon-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Herve Quiroz freebsd_committer 2012-06-12 07:05:26 UTC
State Changed
From-To: open->closed

Patch committed with modifications. 
Thanks for your contribution.